Name:           guile-fibers
Version:        1.3.1
Release:        1%{?dist}
Summary:        Lightweight concurrency facility for Guile

License:       LGPL-3.0-or-later
URL:           https://github.com/wingo/fibers
Source0:       https://github.com/wingo/fibers/releases/download/v1.3.1/fibers-1.3.1.tar.gz 

BuildRequires: pkgconfig(guile-3.0)
BuildRequires: make, gcc, texinfo
Requires:  guile30

%global guile_site_dir %(pkg-config --variable sitedir guile-3.0)
%global guile_ccache_dir %(pkg-config --variable siteccachedir guile-3.0)
%global guile_extension_dir %(pkg-config --variable extensiondir guile-3.0)

%description
Fibers is a Guile library that implements a a lightweight concurrency
facility, inspired by systems like Concurrent ML, Go, and Erlang.  A fiber is
like a \"goroutine\" from the Go language: a lightweight thread-like
abstraction.  Systems built with Fibers can scale up to millions of concurrent
fibers, tens of thousands of concurrent socket connections, and many parallel
cores.  The Fibers library also provides Concurrent ML-like channels for
communication between fibers.

%prep
%autosetup -n fibers-%{version}


%build
%configure
%make_build

%install
%make_install

%check
%{__make} %{?_smp_mflags} check

%files
%license COPYING.LESSER COPYING
%doc AUTHORS ChangeLog NEWS README

%{guile_site_dir}/fibers.scm
%{guile_ccache_dir}/fibers.go
%{guile_site_dir}/fibers
%{guile_ccache_dir}/fibers
%{guile_site_dir}/web/server/fibers.scm
%{guile_ccache_dir}/web/server/fibers.go

%{guile_extension_dir}/fibers-epoll.so*

%{_infodir}/fibers.info.gz
%exclude %{_infodir}/dir

%changelog
%autochangelog
